Subject: Re: [Idr] 2 week WG adoption call for draft (5/31 to 6/14)

From: <[email-masked]>
Date: Mon, 1 Jun 2015 07:09:59 +0000

> This begins a 2 week WG adoption call for draft-raszuk-wide-bgp-communities and draft-raszuk-registered-wide-bgp-communities.

Support.

We need a flexible and powerful tool for the next 10+ years.
This draft has been discussed for quite some time in closed circles. We now need broader discussions.

I'm not aware of non-disclosed IPR.

/Bruno

From: Susan Hares [mailto:[email-masked]]
Sent: Monday, June 01, 2015 4:51 AM
To: [email-masked]
Cc: 'Robert Raszuk'; [email-masked]; [email-masked]; 'Shane Amante'; DECRAENE Bruno IMT/OLN; 'Paul Jakma'; [email-masked]
Subject: 2 week WG adoption call for draft (5/31 to 6/14)

This begins a 2 week WG adoption call for draft-raszuk-wide-bgp-communities and draft-raszuk-registered-wide-bgp-communities.   These drafts can be found at:
https://datatracker.ietf.org/doc/draft-raszuk-wide-bgp-communities/
http://datatracker.ietf.org/doc/draft-raszuk-registered-wide-bgp-communities/

Authors (Robert Raszuk, Jeff Haas, Andrew Lange, Shane Amante, Bruno Decraene, Paul Jakma, and Richard Steenbergen) should indicate whether they know of any IPR.   Since this proposal relates to existing RFCs and IDR WG document (draft-ietf-idr-as4octet-extcomm-generic-subtype-07),  We have included a bit of history below.  At the 6/1/2015 interim (10:00 - 11:30am EDT), there will be a short review of the technology and time to discuss the draft with Robert Raszuk.

Please discuss

a)       If these drafts should be adopted in addition to draft-ietf-idr-as4octet-extcomm-generic-subtype-07,

b)       whether the new flexible format is useful for BGP deployments, and

c)       Any technical issues on the draft.

As always, indicate "support" or "no support" within the comment.

Sue Hares and John Scudder

=================
A bit of history:

RFC 1997 defines the BGP Community attribute (except for 2 reserved ranges)
as 4 octets [2 octets AS number, 2 octets local-defined value].
RFC 4893 introduced 4 byte AS encoding, and suggested using
extended communities [RFC 4360] to encoding 4 octet AS numbers.

RFC5668 defines a format for a four-octet AS specific extended
community with a designated type field, and defines two
sub-types: Four-octet specific Route Target extended community and
Four-octet specific Route Origin extended community.
An IDR WG document: draft-ietf-idr-as4octet-extcomm-generic-subtype-07
(https://tools.ietf.org/html/draft-ietf-idr-as4octet-extcomm-generic-subtype-07)
specifies a generic sub-type for the four-octet AS specific extended community.

    0                   1                   2                   3

    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

    | 0x02 or 0x42  |     0x04      |           Global              |

    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

    |    Administrator              |    Local Administrator        |

    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   Global Administrator sub-field: 4 octets

   This sub-field contains a four-octet Autonomous System number.

   Local Administrator sub-field: 2 octets

      This sub-field contains a value that can influence routing

      policies. This value has semantics that are of significance for

      the Autonomous System in the Global Administrator field.

[From draft-ietf-idr-as4octet-extcomm-generic-subtype-07]

Draft-raszuk-wide-bgp-communities suggests a new BGP Path Attribute,
that provides more flexible encoding than these WG RFCs and draft.

The wide BGP header includes a Container header and community.
The container header has:

      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |             Type              |     Flags     |   Hop Count   |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |            Length             |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |               Registered/Local Community Value                |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                        Source AS Number                       |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                       Context AS Number                       |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |            Wide Community Target(s) TLV (optional)            |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |        Wide Community Exclude Target(s) TLV (optional)        |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |          Wide Community Parameter(s) TLV (optional)           |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
                    Figure 4: Wide BGP Community Type 1

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Thomas Mangin" <[email-masked]>
Date: Mon, 01 Jun 2015 08:20:51 +0100

wholeheartedly support.

Thomas

http://exa.net.uk/about/contact-us
On 1 Jun 2015, at 3:50, Susan Hares wrote:

> This begins a 2 week WG adoption call for 
> draft-raszuk-wide-bgp-communities
> and draft-raszuk-registered-wide-bgp-communities.   These drafts can 
> be
> found at:
>
> Authors (Robert Raszuk, Jeff Haas, Andrew Lange, Shane Amante, Bruno
> Decraene, Paul Jakma, and Richard Steenbergen) should indicate whether 
> they
> know of any IPR.   Since this proposal relates to existing RFCs and 
> IDR WG
> document (draft-ietf-idr-as4octet-extcomm-generic-subtype-07),  We 
> have
> included a bit of history below.  At the 6/1/2015 interim (10:00 - 
> 11:30am
> EDT), there will be a short review of the technology and time to 
> discuss the
> draft with Robert Raszuk.
>
>
>
> Please discuss
>
> a)       If these drafts should be adopted in addition to
> draft-ietf-idr-as4octet-extcomm-generic-subtype-07,
>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 1 Jun 2015 09:28:23 +0200

I am not aware of any IPR associated with any of those documents.

Support for both - as co-author.

- - -

As to the clarification regarding relation to standard or extended
communities (including their 4 octet AS extension) the proposed encoding is
not intended to replace it. All functionalities which depend on current
communities will work as usual without any changes.

BGP wide communities are mainly proposed to simplify the operational
aspects for application of BGP policies.

Many thx,
Robert.

On Mon, Jun 1, 2015 at 4:50 AM, Susan Hares <[email-masked]> wrote:

> draft-raszuk-wide-bgp-communities and
> draft-raszuk-registered-wide-bgp-communities.   These drafts can be found
> at:
>
> Decraene, Paul Jakma, and Richard Steenbergen) should indicate whether they
> know of any IPR.   Since this proposal relates to existing RFCs and IDR WG
> document (draft-ietf-idr-as4octet-extcomm-generic-subtype-07),  We have
> included a bit of history below.  At the 6/1/2015 interim (10:00 – 11:30am
> EDT), there will be a short review of the technology and time to discuss
> the draft with Robert Raszuk.
>
>
>
> Please discuss
>
> As always, indicate “support” or “no support” within the comment.
>
>
>
> (
> https://tools.ietf.org/html/draft-ietf-idr-as4octet-extcomm-generic-subtype-07
> )
>

---

From: Nick Hilliard <[email-masked]>
Date: Mon, 01 Jun 2015 22:16:58 +0100

> draft-ietf-idr-as4octet-extcomm-generic-subtype-07,

yes, draft-ietf-idr-as4octet-extcomm-generic-subtype is still restricted to
48 bits of community space, which is insufficient for flexible management
of asn32 based networks.

> b)       whether the new flexible format is useful for BGP deployments, and

yes, asn32s have serious deployment problems due to poor bgp community
support.  This draft - if implemented by vendors - will provide a long term
fix for that problem.

> c)       Any technical issues on the draft.

I am concerned that the draft will be complicated both to implement and to
operate.  However, it provides the sort of hooks that advanced operators
would dearly like to have.

> As always, indicate “support” or “no support” within the comment. 

fully support.

Nick

---

From: "Susan Hares" <[email-masked]>
Date: Mon, 1 Jun 2015 17:37:42 -0400

Nick:

<WG chair hat off > I can understand how the draft will be complex to
implement along with other communities.  Can you describe how you think the
draft will be complicated to operate?   
Sue Hares

-----Original Message-----
From: Nick Hilliard [mailto:[email-masked]] 
Sent: Monday, June 01, 2015 5:17 PM
To: Susan Hares; IETF IDR Working Group
Cc: [email-masked]
Subject: Re: [Idr] 2 week WG adoption call for draft (5/31 to 6/14)

yes, draft-ietf-idr-as4octet-extcomm-generic-subtype is still restricted to
48 bits of community space, which is insufficient for flexible management of
asn32 based networks.

fully support.

Nick

---

From: Nick Hilliard <[email-masked]>
Date: Tue, 02 Jun 2015 00:00:39 +0100

> draft will be complicated to operate?   

Hi Sue,

At the moment, most operators use basic communities which require an match
/ comparison / regexp against what is basically an integer value.  This is
simple to express and match in pretty much all bgp implementation grammars.

raszuk-wide-bgp-communities requires that each community target be matched
against a complicated n-tuple of parameters - section 9 of the draft shows
some potential examples.  This makes the business of matching and managing
community values a much more complicated affair, particularly if you run in
a multivendor environment or else if your bgp communities cross AS boundaries.

Nick

---

From: Robert Raszuk <[email-masked]>
Date: Tue, 2 Jun 2015 01:16:30 +0200

Hi Nick,

Thank you for your comment.

However I would like to bring one point which maybe was not clear and needs
to be made very clear.

Your comment is true in respect for locally defined wide bgp communities
where you (as the operator) need to define both the community and the
policy how to handle it.

However that complication is not intended to be exposed to operators using
registered wide bgp communities as those by the respective policy
implementations should be self executive. Of course still subject to normal
enable/disable/filter actions.

Regards,
R.

---

From: Gaurab Raj Upadhaya <[email-masked]>
Date: Tue, 02 Jun 2015 06:29:31 +0100

fully support.

long overdue.

- -gaurab

On 6/1/15 3:50 AM, Susan Hares wrote:
> draft-raszuk-registered-wide-bgp-communities.   These drafts can
> be found at:
> 
> Authors (Robert Raszuk, Jeff Haas, Andrew Lange, Shane Amante,
> Bruno Decraene, Paul Jakma, and Richard Steenbergen) should
> indicate whether they know of any IPR.   Since this proposal
> relates to existing RFCs and IDR WG document
> (draft-ietf-idr-as4octet-extcomm-generic-subtype-07), We have
> included a bit of history below.  At the 6/1/2015 interim (10:00 –
> 11:30am EDT), there will be a short review of the technology and
> time to discuss the draft with Robert Raszuk.
> 
> 
> 
> Please discuss
> 
> An IDR WG document:
> draft-ietf-idr-as4octet-extcomm-generic-subtype-07
> 
> _______________________________________________ Idr mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/idr
> 

- -- 

http://www.gaurab.org.np/

---

From: Andrew Lange <[email-masked]>
Date: Tue, 2 Jun 2015 01:11:29 -0700

I do not know of any IPR issues with this draft, or it’s predecessors, starting with my flexcomms draft in 2002.

Andrew

On May 31, 2015, at 7:50 PM, Susan Hares <[email-masked]> wrote:

> Authors (Robert Raszuk, Jeff Haas, Andrew Lange, Shane Amante, Bruno Decraene, Paul Jakma, and Richard Steenbergen) should indicate whether they know of any IPR.   Since this proposal relates to existing RFCs and IDR WG document (draft-ietf-idr-as4octet-extcomm-generic-subtype-07),  We have included a bit of history below.  At the 6/1/2015 interim (10:00 – 11:30am EDT), there will be a short review of the technology and time to discuss the draft with Robert Raszuk.
>  
> Please discuss

---

From: Shane Amante <[email-masked]>
Date: Mon, 01 Jun 2015 07:30:39 -0700

I am not aware of any IPR.

I support both documents.

-shane

> https://datatracker.ietf.org/doc/draft-raszuk-wide-bgp-communities/ <https://datatracker.ietf.org/doc/draft-raszuk-wide-bgp-communities/>
> http://datatracker.ietf.org/doc/draft-raszuk-registered-wide-bgp-communities/ <http://datatracker.ietf.org/doc/draft-raszuk-registered-wide-bgp-communities/>
>  
> (https://tools.ietf.org/html/draft-ietf-idr-as4octet-extcomm-generic-subtype-07 <https://tools.ietf.org/html/draft-ietf-idr-as4octet-extcomm-generic-subtype-07>)

---

From: Jon Mitchell <[email-masked]>
Date: Mon, 8 Jun 2015 20:40:49 -0400

On 31/05/15 22:50 -0400, Susan Hares wrote:
> This begins a 2 week WG adoption call for draft-raszuk-wide-bgp-communities
> and draft-raszuk-registered-wide-bgp-communities.   These drafts can be
> found at: 
> 

Support adoption.

-Jon

---

From: Jeffrey Haas <[email-masked]>
Date: Mon, 15 Jun 2015 14:27:14 -0400

On Sun, May 31, 2015 at 10:50:32PM -0400, Susan Hares wrote:
> know of any IPR.

I do not know of any IPR pertaining to the wide-communities draft.

> draft-ietf-idr-as4octet-extcomm-generic-subtype-07,

[Speaking as an author of this draft.]
I believe that IDR should also continue with the generic as4octet community.
While the issue of communities in the form of two 4-octet numbers is known
and is desired to support the AS4:AS4 mapping, the generic draft covers
cases that can be readily accommodated in AS4:2-byte number case.  Unlike
the wide communities draft, this uses existing the BGP extended community
and is easy to implement.

-- Jeff

---

From: Shane Amante <[email-masked]>
Date: Mon, 22 Jun 2015 13:12:12 -0700

> Authors (Robert Raszuk, Jeff Haas, Andrew Lange, Shane Amante, Bruno Decraene, Paul Jakma, and Richard Steenbergen) should indicate whether they know of any IPR.   Since this proposal relates to ex…

I am not aware of any IPR that applies to these drafts.

> As always, indicate “support” or “no support” within the comment.

As a co-author, I support these docs becoming WG docs.

-shane